org.apache.solr.response.transform

## Class ValueAugmenterFactory

- java.lang.Object
- - org.apache.solr.response.transform.TransformerFactory
  - - org.apache.solr.response.transform.ValueAugmenterFactory

- All Implemented Interfaces:
    NamedListInitializedPlugin

      public class ValueAugmenterFactory
      extends TransformerFactory

  Since:
    solr 4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `defaultValue`
    `protected Object` | `value`

    - ### Fields inherited from class org.apache.solr.response.transform.TransformerFactory

      `defaultFactories, defaultUserArgs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueAugmenterFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocTransformer` | `create(String field, SolrParams params, SolrQueryRequest req)`
    `static Object` | `getObjectFrom(String val, String type)`
    `void` | `init(NamedList args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected Object value

    - #### defaultValue

          protected Object defaultValue

  - ### Constructor Detail

    - #### ValueAugmenterFactory

          public ValueAugmenterFactory()

  - ### Method Detail

    - #### init

          public void init(NamedList args)

      Specified by:
        `init` in interface `NamedListInitializedPlugin`
      Overrides:
        `init` in class `TransformerFactory`

    - #### getObjectFrom

          public static Object getObjectFrom(String val,
                                             String type)

    - #### create

          public DocTransformer create(String field,
                                       SolrParams params,
                                       SolrQueryRequest req)

      Specified by:
        `create` in class `TransformerFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.